<%--
/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ page import="com.liferay.chat.NoSuchStatusException" %>
<%@ page import="com.liferay.chat.model.Status" %>
<%@ page import="com.liferay.chat.service.StatusLocalServiceUtil" %>
<%@ page import="com.liferay.portal.kernel.dao.orm.QueryUtil" %>

<%@ page import="java.util.List" %>

<%
List<Status> statuses = StatusLocalServiceUtil.getStatuses(QueryUtil.ALL_POS, QueryUtil.ALL_POS);
%>

There are <%= statuses.size() %> statuses.

<br /><br />

<table border="1" cellpadding="4" cellspacing="0" width="100%">
<tr>
	<td>
		<strong>Status ID</strong>
	</td>
	<td>
		<strong>User ID</strong>
	</td>
	<td>
		<strong>Modified Date</strong>
	</td>
	<td>
		<strong>Online</strong>
	</td>
	<td>
		<strong>Awake</strong>
	</td>
	<td>
		<strong>Active Panel ID</strong>
	</td>
	<td>
		<strong>Message</strong>
	</td>
	<td>
		<strong>Play Sound</strong>
	</td>
</tr>

<%
for (Status status : statuses) {
%>

	<tr>
		<td>
			<%= status.getStatusId() %>
		</td>
		<td>
			<%= status.getUserId() %>
		</td>
		<td>
			<%= status.getModifiedDate() %>
		</td>
		<td>
			<%= status.isOnline() %>
		</td>
		<td>
			<%= status.isAwake() %>
		</td>
		<td>
			<%= status.getActivePanelId() %>
		</td>
		<td>
			<%= status.getMessage() %>
		</td>
		<td>
			<%= status.isPlaySound() %>
		</td>
	</tr>

<%
}
%>

</table>

<br />

<%
try {
	StatusLocalServiceUtil.getStatus(1);
}
catch (NoSuchStatusException nsse) {
%>

	NoSuchStatusException was properly caught.

<%
}
%>